Bug 1098142 - TeXLive cannot register font - Can't locate TeXLive/TLUtils.pm
TeXLive cannot register font - Can't locate TeXLive/TLUtils.pm
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dr. Werner Fink
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-18 22:37 UTC by David R
Modified: 2018-09-17 12:14 UTC (History)
0 users

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David R 2018-06-18 22:37:20 UTC
When trying to register a font via sudo updmap-sys --nomkmap --nohash --enable Map=NexusProSans.map
I get the following error:

Can't locate TeXLive/TLUtils.pm in @INC (you may need to install the TeXLive::TLUtils module) (@INC contains: /usr/share/tlpkg /usr/lib/perl5/site_perl/5.26.2/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.26.2 /usr/lib/perl5/vendor_perl/5.26.2/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.26.2 /usr/lib/perl5/5.26.2/x86_64-linux-thread-multi /usr/lib/perl5/5.26.2 /usr/lib/perl5/vendor_perl/5.26.1/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.26.1 /usr/lib/perl5/site_perl) at /usr/bin/updmap line 41.
BEGIN failed--compilation aborted at /usr/bin/updmap line 41.

However, TLUtils.pm does exist in /usr/share/texmf/tlpkg/TeXLive/
Comment 1 David R 2018-06-19 00:10:23 UTC
This seems to have happened in before: https://bugzilla.redhat.com/show_bug.cgi?id=1396732
Comment 2 Dr. Werner Fink 2018-06-19 09:35:03 UTC
This becomes fixed with running SR#617683 ... just read this bug report a hour to late as the was a forner report here https://build.opensuse.org/package/show/openSUSE:Factory/texlive
Comment 3 Dr. Werner Fink 2018-08-01 12:32:49 UTC
Also fixed
Comment 4 Dr. Werner Fink 2018-09-17 12:14:40 UTC
(In reply to Dr. Werner Fink from comment #3)
> Also fixed